Package com.sas.metadata.remote

# Interface Column

All Superinterfaces:
  `CMetadata`, `Feature`, `LogicalColumn`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

All Known Subinterfaces:
  `ColumnRange`

public interface Column extends LogicalColumn
Represents a column in a table, view, etc.

Attributes of Column are:

- `SortOrder`
- `IsNullable`
- `IsDiscrete`
- `SASColumnLength`
- `SummaryRole`
- `SASColumnType`
- `SASColumnName`
- `SASExtendedColumnType`
- `SASAttribute`
- `SASPrecision`
- `SASScale`
- `SASExtendedLength`
- `BeginPosition`
- `EndPosition`

Associations of Column are:

- `Keys`
- `XPaths`
- `AnalyticColumns`
- `DisplayForKeys`
- `ForeignKeyAssociations`
- `Indexes`
- `QueryClauses`
- `Table`
- `UniqueKeyAssociations`

## Usage

To create an instance of this Column, use the `factory` create methods.
Example: create a Column with name "Column_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Column myObject = (Column) factory.createComplexMetadataObject(objectStore, "Column_Object", MetadataObjects.COLUMN, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_ANALYTICCOLUMNS_NAME`
  Constant used for the name of the AnalyticColumns association.
  `static final String`
  `ASSOCIATION_DISPLAYFORKEYS_NAME`
  Constant used for the name of the DisplayForKeys association.
  `static final String`
  `ASSOCIATION_FOREIGNKEYASSOCIATIONS_NAME`
  Constant used for the name of the ForeignKeyAssociations association.
  `static final String`
  `ASSOCIATION_INDEXES_NAME`
  Constant used for the name of the Indexes association.
  `static final String`
  `ASSOCIATION_KEYS_NAME`
  Constant used for the name of the Keys association.
  `static final String`
  `ASSOCIATION_QUERYCLAUSES_NAME`
  Constant used for the name of the QueryClauses association.
  `static final String`
  `ASSOCIATION_TABLE_NAME`
  Constant used for the name of the Table association.
  `static final String`
  `ASSOCIATION_UNIQUEKEYASSOCIATIONS_NAME`
  Constant used for the name of the UniqueKeyAssociations association.
  `static final String`
  `ASSOCIATION_XPATHS_NAME`
  Constant used for the name of the XPaths association.
  `static final String`
  `ATTRIBUTE_BEGINPOSITION_NAME`
  Constant used for the name of the BeginPosition attribute.
  `static final String`
  `ATTRIBUTE_ENDPOSITION_NAME`
  Constant used for the name of the EndPosition attribute.
  `static final String`
  `ATTRIBUTE_ISDISCRETE_NAME`
  Constant used for the name of the IsDiscrete attribute.
  `static final String`
  `ATTRIBUTE_ISNULLABLE_NAME`
  Constant used for the name of the IsNullable attribute.
  `static final String`
  `ATTRIBUTE_SASATTRIBUTE_NAME`
  Constant used for the name of the SASAttribute attribute.
  `static final String`
  `ATTRIBUTE_SASCOLUMNLENGTH_NAME`
  Constant used for the name of the SASColumnLength attribute.
  `static final String`
  `ATTRIBUTE_SASCOLUMNNAME_NAME`
  Constant used for the name of the SASColumnName attribute.
  `static final String`
  `ATTRIBUTE_SASCOLUMNTYPE_NAME`
  Constant used for the name of the SASColumnType attribute.
  `static final String`
  `ATTRIBUTE_SASEXTENDEDCOLUMNTYPE_NAME`
  Constant used for the name of the SASExtendedColumnType attribute.
  `static final String`
  `ATTRIBUTE_SASEXTENDEDLENGTH_NAME`
  Constant used for the name of the SASExtendedLength attribute.
  `static final String`
  `ATTRIBUTE_SASPRECISION_NAME`
  Constant used for the name of the SASPrecision attribute.
  `static final String`
  `ATTRIBUTE_SASSCALE_NAME`
  Constant used for the name of the SASScale attribute.
  `static final String`
  `ATTRIBUTE_SORTORDER_NAME`
  Constant used for the name of the SortOrder attribute.
  `static final String`
  `ATTRIBUTE_SUMMARYROLE_NAME`
  Constant used for the name of the SummaryRole attribute.

  ### Fields inherited from interface com.sas.metadata.remote.Feature

  `ASSOCIATION_SOURCEFEATUREMAPS_NAME, ASSOCIATION_TARGETFEATUREMAPS_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.LogicalColumn

  `ATTRIBUTE_COLUMNLENGTH_NAME, ATTRIBUTE_COLUMNNAME_NAME, ATTRIBUTE_COLUMNTYPE_NAME, ATTRIBUTE_SASFORMAT_NAME, ATTRIBUTE_SASINFORMAT_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getAnalyticColumns()`
  Gets the Association list of `AnalyticColumns`
  `AssociationList`
  `getAnalyticColumns(boolean fGoToServer)`
  Gets the Associationlist of `AnalyticColumns`
  `int`
  `getBeginPosition()`
  Gets the `int` value of `BeginPosition`
  `int`
  `getBeginPositionState()`
  Gets the Metadata State of `BeginPosition`
  `AssociationList`
  `getDisplayForKeys()`
  Gets the Association list of `DisplayForKeys`
  `AssociationList`
  `getDisplayForKeys(boolean fGoToServer)`
  Gets the Associationlist of `DisplayForKeys`
  `int`
  `getEndPosition()`
  Gets the `int` value of `EndPosition`
  `int`
  `getEndPositionState()`
  Gets the Metadata State of `EndPosition`
  `AssociationList`
  `getForeignKeyAssociations()`
  Gets the Association list of `ForeignKeyAssociations`
  `AssociationList`
  `getForeignKeyAssociations(boolean fGoToServer)`
  Gets the Associationlist of `ForeignKeyAssociations`
  `AssociationList`
  `getIndexes()`
  Gets the Association list of `Indexes`
  `AssociationList`
  `getIndexes(boolean fGoToServer)`
  Gets the Associationlist of `Indexes`
  `int`
  `getIsDiscrete()`
  Gets the `int` value of `IsDiscrete`
  `int`
  `getIsDiscreteState()`
  Gets the Metadata State of `IsDiscrete`
  `int`
  `getIsNullable()`
  Gets the `int` value of `IsNullable`
  `int`
  `getIsNullableState()`
  Gets the Metadata State of `IsNullable`
  `AssociationList`
  `getKeys()`
  Gets the AssociationList of `Keys`
  `AssociationList`
  `getKeys(boolean fGoToServer)`
  Gets the Associationlist of `Keys`
  `AssociationList`
  `getQueryClauses()`
  Gets the Association list of `QueryClauses`
  `AssociationList`
  `getQueryClauses(boolean fGoToServer)`
  Gets the Associationlist of `QueryClauses`
  `String`
  `getSASAttribute()`
  Gets the `String` value of `SASAttribute`
  `int`
  `getSASAttributeMaxLength()`
  Gets the maximum length of `SASAttribute`
  `int`
  `getSASAttributeState()`
  Gets the Metadata State of `SASAttribute`
  `int`
  `getSASColumnLength()`
  Gets the `int` value of `SASColumnLength`
  `int`
  `getSASColumnLengthState()`
  Gets the Metadata State of `SASColumnLength`
  `String`
  `getSASColumnName()`
  Gets the `String` value of `SASColumnName`
  `int`
  `getSASColumnNameMaxLength()`
  Gets the maximum length of `SASColumnName`
  `int`
  `getSASColumnNameState()`
  Gets the Metadata State of `SASColumnName`
  `String`
  `getSASColumnType()`
  Gets the `String` value of `SASColumnType`
  `int`
  `getSASColumnTypeMaxLength()`
  Gets the maximum length of `SASColumnType`
  `int`
  `getSASColumnTypeState()`
  Gets the Metadata State of `SASColumnType`
  `String`
  `getSASExtendedColumnType()`
  Gets the `String` value of `SASExtendedColumnType`
  `int`
  `getSASExtendedColumnTypeMaxLength()`
  Gets the maximum length of `SASExtendedColumnType`
  `int`
  `getSASExtendedColumnTypeState()`
  Gets the Metadata State of `SASExtendedColumnType`
  `double`
  `getSASExtendedLength()`
  Gets the `double` value of `SASExtendedLength`
  `int`
  `getSASExtendedLengthState()`
  Gets the Metadata State of `SASExtendedLength`
  `double`
  `getSASPrecision()`
  Gets the `double` value of `SASPrecision`
  `int`
  `getSASPrecisionState()`
  Gets the Metadata State of `SASPrecision`
  `double`
  `getSASScale()`
  Gets the `double` value of `SASScale`
  `int`
  `getSASScaleState()`
  Gets the Metadata State of `SASScale`
  `String`
  `getSortOrder()`
  Gets the `String` value of `SortOrder`
  `int`
  `getSortOrderMaxLength()`
  Gets the maximum length of `SortOrder`
  `int`
  `getSortOrderState()`
  Gets the Metadata State of `SortOrder`
  `String`
  `getSummaryRole()`
  Gets the `String` value of `SummaryRole`
  `int`
  `getSummaryRoleMaxLength()`
  Gets the maximum length of `SummaryRole`
  `int`
  `getSummaryRoleState()`
  Gets the Metadata State of `SummaryRole`
  `DataTable`
  `getTable()`
  Gets the `DataTable` for `Table`
  `AssociationList`
  `getTables()`
  Gets the Association list of `Tables`
  `AssociationList`
  `getTables(boolean fGoToServer)`
  Gets the Associationlist of `Tables`
  `AssociationList`
  `getUniqueKeyAssociations()`
  Gets the Association list of `UniqueKeyAssociations`
  `AssociationList`
  `getUniqueKeyAssociations(boolean fGoToServer)`
  Gets the Associationlist of `UniqueKeyAssociations`
  `AssociationList`
  `getXPaths()`
  Gets the AssociationList of `XPaths`
  `AssociationList`
  `getXPaths(boolean fGoToServer)`
  Gets the Associationlist of `XPaths`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `Keys`
  `XPaths`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `Table`
  `void`
  `setAnalyticColumns(AssociationList list)`
  Sets the `AnalyticColumns` list to be `list`.
  `void`
  `setAnalyticColumns(AssociationList inObjects, int state)`
  Sets the entire AnalyticColumns list to match the passed in AssociationList, sets the state of the AnalyticColumns
  `void`
  `setBeginPosition(int inBeginPosition)`
  Sets the `BeginPosition` value and sets the state to MetadataState.LOCAL.
  `void`
  `setBeginPosition(int inBeginPosition, int state)`
  Sets the `BeginPosition` Metadata State.
  `void`
  `setBeginPosition(String inBeginPosition)`
  Sets the `BeginPosition` value and sets the state to MetadataState.LOCAL.
  `void`
  `setBeginPosition(String inBeginPosition, int state)`
  Sets the `BeginPosition` value and Metadata State.
  `void`
  `setBeginPositionState(int state)`
  Sets the Metadata State of `BeginPosition`.
  `void`
  `setDisplayForKeys(AssociationList list)`
  Sets the `DisplayForKeys` list to be `list`.
  `void`
  `setDisplayForKeys(AssociationList inObjects, int state)`
  Sets the entire DisplayForKeys list to match the passed in AssociationList, sets the state of the DisplayForKeys
  `void`
  `setEndPosition(int inEndPosition)`
  Sets the `EndPosition` value and sets the state to MetadataState.LOCAL.
  `void`
  `setEndPosition(int inEndPosition, int state)`
  Sets the `EndPosition` Metadata State.
  `void`
  `setEndPosition(String inEndPosition)`
  Sets the `EndPosition` value and sets the state to MetadataState.LOCAL.
  `void`
  `setEndPosition(String inEndPosition, int state)`
  Sets the `EndPosition` value and Metadata State.
  `void`
  `setEndPositionState(int state)`
  Sets the Metadata State of `EndPosition`.
  `void`
  `setForeignKeyAssociations(AssociationList list)`
  Sets the `ForeignKeyAssociations` list to be `list`.
  `void`
  `setForeignKeyAssociations(AssociationList inObjects, int state)`
  Sets the entire ForeignKeyAssociations list to match the passed in AssociationList, sets the state of the ForeignKeyAssociations
  `void`
  `setIndexes(AssociationList list)`
  Sets the `Indexes` list to be `list`.
  `void`
  `setIndexes(AssociationList inObjects, int state)`
  Sets the entire Indexes list to match the passed in AssociationList, sets the state of the Indexes
  `void`
  `setIsDiscrete(int inIsDiscrete)`
  Sets the `IsDiscrete` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsDiscrete(int inIsDiscrete, int state)`
  Sets the `IsDiscrete` Metadata State.
  `void`
  `setIsDiscrete(String inIsDiscrete)`
  Sets the `IsDiscrete` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsDiscrete(String inIsDiscrete, int state)`
  Sets the `IsDiscrete` value and Metadata State.
  `void`
  `setIsDiscreteState(int state)`
  Sets the Metadata State of `IsDiscrete`.
  `void`
  `setIsNullable(int inIsNullable)`
  Sets the `IsNullable` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsNullable(int inIsNullable, int state)`
  Sets the `IsNullable` Metadata State.
  `void`
  `setIsNullable(String inIsNullable)`
  Sets the `IsNullable` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsNullable(String inIsNullable, int state)`
  Sets the `IsNullable` value and Metadata State.
  `void`
  `setIsNullableState(int state)`
  Sets the Metadata State of `IsNullable`.
  `void`
  `setKeys(AssociationList list)`
  Sets the `Keys` list to be `list`.
  `void`
  `setKeys(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setQueryClauses(AssociationList list)`
  Sets the `QueryClauses` list to be `list`.
  `void`
  `setQueryClauses(AssociationList inObjects, int state)`
  Sets the entire QueryClauses list to match the passed in AssociationList, sets the state of the QueryClauses
  `void`
  `setSASAttribute(String inSASAttribute)`
  Sets the `SASAttribute` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASAttribute(String inSASAttribute, int state)`
  Sets the `SASAttribute` Metadata State.
  `void`
  `setSASAttributeState(int state)`
  Sets the Metadata State of `SASAttribute`.
  `void`
  `setSASColumnLength(int inSASColumnLength)`
  Sets the `SASColumnLength` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASColumnLength(int inSASColumnLength, int state)`
  Sets the `SASColumnLength` Metadata State.
  `void`
  `setSASColumnLength(String inSASColumnLength)`
  Sets the `SASColumnLength` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASColumnLength(String inSASColumnLength, int state)`
  Sets the `SASColumnLength` value and Metadata State.
  `void`
  `setSASColumnLengthState(int state)`
  Sets the Metadata State of `SASColumnLength`.
  `void`
  `setSASColumnName(String inSASColumnName)`
  Sets the `SASColumnName` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASColumnName(String inSASColumnName, int state)`
  Sets the `SASColumnName` Metadata State.
  `void`
  `setSASColumnNameState(int state)`
  Sets the Metadata State of `SASColumnName`.
  `void`
  `setSASColumnType(String inSASColumnType)`
  Sets the `SASColumnType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASColumnType(String inSASColumnType, int state)`
  Sets the `SASColumnType` Metadata State.
  `void`
  `setSASColumnTypeState(int state)`
  Sets the Metadata State of `SASColumnType`.
  `void`
  `setSASExtendedColumnType(String inSASExtendedColumnType)`
  Sets the `SASExtendedColumnType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASExtendedColumnType(String inSASExtendedColumnType, int state)`
  Sets the `SASExtendedColumnType` Metadata State.
  `void`
  `setSASExtendedColumnTypeState(int state)`
  Sets the Metadata State of `SASExtendedColumnType`.
  `void`
  `setSASExtendedLength(double inSASExtendedLength)`
  Sets the `SASExtendedLength` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASExtendedLength(double inSASExtendedLength, int state)`
  Sets the `SASExtendedLength` Metadata State.
  `void`
  `setSASExtendedLength(String inSASExtendedLength)`
  Sets the `SASExtendedLength` value and sets the state to MetadataState.LOCAL
  `void`
  `setSASExtendedLength(String inSASExtendedLength, int state)`
  Sets the `SASExtendedLength` value and Metadata State.
  `void`
  `setSASExtendedLengthState(int state)`
  Sets the Metadata State of `SASExtendedLength`.
  `void`
  `setSASPrecision(double inSASPrecision)`
  Sets the `SASPrecision` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASPrecision(double inSASPrecision, int state)`
  Sets the `SASPrecision` Metadata State.
  `void`
  `setSASPrecision(String inSASPrecision)`
  Sets the `SASPrecision` value and sets the state to MetadataState.LOCAL
  `void`
  `setSASPrecision(String inSASPrecision, int state)`
  Sets the `SASPrecision` value and Metadata State.
  `void`
  `setSASPrecisionState(int state)`
  Sets the Metadata State of `SASPrecision`.
  `void`
  `setSASScale(double inSASScale)`
  Sets the `SASScale` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSASScale(double inSASScale, int state)`
  Sets the `SASScale` Metadata State.
  `void`
  `setSASScale(String inSASScale)`
  Sets the `SASScale` value and sets the state to MetadataState.LOCAL
  `void`
  `setSASScale(String inSASScale, int state)`
  Sets the `SASScale` value and Metadata State.
  `void`
  `setSASScaleState(int state)`
  Sets the Metadata State of `SASScale`.
  `void`
  `setSortOrder(String inSortOrder)`
  Sets the `SortOrder` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSortOrder(String inSortOrder, int state)`
  Sets the `SortOrder` Metadata State.
  `void`
  `setSortOrderState(int state)`
  Sets the Metadata State of `SortOrder`.
  `void`
  `setSummaryRole(String inSummaryRole)`
  Sets the `SummaryRole` value and sets the state to MetadataState.LOCAL.
  `void`
  `setSummaryRole(String inSummaryRole, int state)`
  Sets the `SummaryRole` Metadata State.
  `void`
  `setSummaryRoleState(int state)`
  Sets the Metadata State of `SummaryRole`.
  `void`
  `setTable(DataTable inObject)`
  Sets the `Tables` list 0th element to be `inObject`.
  `void`
  `setTables(AssociationList list)`
  Sets the `Tables` list to be `list`.
  `void`
  `setTables(AssociationList list, int state)`
  Sets the `Tables` list to be `list`.
  `void`
  `setUniqueKeyAssociations(AssociationList list)`
  Sets the `UniqueKeyAssociations` list to be `list`.
  `void`
  `setUniqueKeyAssociations(AssociationList inObjects, int state)`
  Sets the entire UniqueKeyAssociations list to match the passed in AssociationList, sets the state of the UniqueKeyAssociations
  `void`
  `setXPaths(AssociationList list)`
  Sets the `XPaths` list to be `list`.
  `void`
  `setXPaths(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  ### Methods inherited from interface com.sas.metadata.remote.Feature

  `getSourceFeatureMaps, getSourceFeatureMaps, getTargetFeatureMaps, getTargetFeatureMaps, setSourceFeatureMaps, setSourceFeatureMaps, setTargetFeatureMaps, setTargetFeatureMaps`

  ### Methods inherited from interface com.sas.metadata.remote.LogicalColumn

  `getColumnLength, getColumnLengthState, getColumnName, getColumnNameMaxLength, getColumnNameState, getColumnType, getColumnTypeState, getSASFormat, getSASFormatMaxLength, getSASFormatState, getSASInformat, getSASInformatMaxLength, getSASInformatState, setColumnLength, setColumnLength, setColumnLength, setColumnLength, setColumnLengthState, setColumnName, setColumnName, setColumnNameState, setColumnType, setColumnType, setColumnType, setColumnType, setColumnTypeState, setSASFormat, setSASFormat, setSASFormatState, setSASInformat, setSASInformat, setSASInformatState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_SORTORDER_NAME

    static final String ATTRIBUTE_SORTORDER_NAME
    Constant used for the name of the SortOrder attribute.

    SortOrder: This is an indication of the sort order of this column in this table. It can be ASCENDING, DESCENDING, ASCFORMATTED, DESFORMATTED, DSORDER, NONE, PROHIBITED.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ISNULLABLE_NAME

    static final String ATTRIBUTE_ISNULLABLE_NAME
    Constant used for the name of the IsNullable attribute.

    IsNullable: This attribute indicates whether this column can contain NULL values or not. It has a 0 or 1 value.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ISDISCRETE_NAME

    static final String ATTRIBUTE_ISDISCRETE_NAME
    Constant used for the name of the IsDiscrete attribute.

    IsDiscrete: Indicates whether the contents of this column are discrete values.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SASCOLUMNLENGTH_NAME

    static final String ATTRIBUTE_SASCOLUMNLENGTH_NAME
    Constant used for the name of the SASColumnLength attribute.

    SASColumnLength: This is the length of the column for SAS software. Usually, this will be the same value as the ColumnLength attribute defined in LogicalColumn.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SUMMARYROLE_NAME

    static final String ATTRIBUTE_SUMMARYROLE_NAME
    Constant used for the name of the SummaryRole attribute.

    SummaryRole: This is the role of this column in a summarization. It can be CLASS, ID, STATISTIC, _FREQ_, or _TYPE_.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SASCOLUMNTYPE_NAME

    static final String ATTRIBUTE_SASCOLUMNTYPE_NAME
    Constant used for the name of the SASColumnType attribute.

    SASColumnType: This represents the SAS type (character or numeric) for this column. The value can be either 'C' or 'N'.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SASCOLUMNNAME_NAME

    static final String ATTRIBUTE_SASCOLUMNNAME_NAME
    Constant used for the name of the SASColumnName attribute.

    SASColumnName: This is the name that SAS software uses to access the column. Typically, the SAS name is 32 characters in length and conforms to the SAS naming restrictions; for example, no space or special characters. It is the Name field in the NAMESTR.

    This attribute can support mixed-case names, and special characters and spaces in the text if there is a PropertySet object and one or two Property objects configured on the table to indicate that this table requires special handling for its names.

    For example, you would define and associate a PropertySet object named DBMSNames with a SetRole=DBMSNames with the Column(?). The PropertySet object can have two Property objects associated with it: Case and SpecChar. The Property named Case can specify whether the values in the SASTableName/SASColumnName attribute are case-sensitive or not. The Property named SpecChar can specify whether the values in the SASTableName/SASColumnName can contain special characters, including spaces.
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SASEXTENDEDCOLUMNTYPE_NAME

    static final String ATTRIBUTE_SASEXTENDEDCOLUMNTYPE_NAME
    Constant used for the name of the SASExtendedColumnType attribute.

    SASExtendedColumnType: The extended column type for SAS software. Valid values are: XV_T_FLOAT - Floating-point Value (The Pre-V9 Numeric Type) XV_T_DEC - Fixed-point Decimal Value XV_T_INT - Signed Integer Value XV_T_CHAR - Fixed-length Character (The Pre-V9 Character Type) XV_T_VARCHAR - Variable-length Character Value XV_T_CLOB - Character Large Object XV_T_BCHAR - Fixed-length Binary XV_T_BVARCHAR - Variable-length Binary Value XV_T_BLOB - Binary Large Object XV_T_LOBFILE - BLOB File XV_T_UCHAR - Fixed-length Unicode CHAR XV_T_UVARCHAR - Variable-length Unicode CHAR Value XV_T_UCLOB - Unicode Character Large Object XV_T_DATE - Date value XV_T_TIME - Local time value XV_T_TIMEZ - Zoned time value XV_T_DATETIME - Local datetime value, a timestamp XV_T_DATETIMEZ - Zoned datetime value, a timestamp XV_T_IDENTITY - Observation identity

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SASATTRIBUTE_NAME

    static final String ATTRIBUTE_SASATTRIBUTE_NAME
    Constant used for the name of the SASAttribute attribute.

    SASAttribute: Data type attributes. Used to facilitate applications that wish to process variables based on similar semantics. These attributes are read-only and set by the supervisor based on the data type. XV_A_NUMERIC - Values are numeric XV_A_STRING - Values are strings XV_A_VARYING - Values are variable-length XV_A_BINARY - Values contain binary data XV_A_UNICODE - Values contain Unicode data XV_A_LOB - Values are large objects XV_A_DATETIME - Values are dates, times or date-times

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SASPRECISION_NAME

    static final String ATTRIBUTE_SASPRECISION_NAME
    Constant used for the name of the SASPrecision attribute.

    SASPrecision: This attribute is the precision of the data type, up to 4G. The exact meaning of precision corresponds to the declared type of the variable. In general, the precision of any data type is the number of atomic elements used to store the representable set of values

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SASSCALE_NAME

    static final String ATTRIBUTE_SASSCALE_NAME
    Constant used for the name of the SASScale attribute.

    SASScale: This attribute applies to the decimal (XV_T_DEC) data type only. For decimal, a scale of 0 (zero) indicates that the represented number is an integer. The value of the fixed-point decimal number is defined to be the rational number, I * 10 -S, where S is the scale and I is an integer with a maximum of P digits.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_SASEXTENDEDLENGTH_NAME

    static final String ATTRIBUTE_SASEXTENDEDLENGTH_NAME
    Constant used for the name of the SASExtendedLength attribute.

    SASExtendedLength: This attribute is the length of the data value in the interchange format. In most cases the SASExtendedLength is derived from the precision.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_BEGINPOSITION_NAME

    static final String ATTRIBUTE_BEGINPOSITION_NAME
    Constant used for the name of the BeginPosition attribute.

    BeginPosition: The position within a record where the column begins. This is used for external tables and/or record-oriented tables.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ENDPOSITION_NAME

    static final String ATTRIBUTE_ENDPOSITION_NAME
    Constant used for the name of the EndPosition attribute.

    EndPosition: The position within the record where the column ends. This is used for external tables and/or record-oriented tables.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_KEYS_NAME

    static final String ASSOCIATION_KEYS_NAME
    Constant used for the name of the Keys association.

    Keys: This is the list of keys that this column is associated with. The column may be part of a unique or primary key, or part of a foreign key.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_XPATHS_NAME

    static final String ASSOCIATION_XPATHS_NAME
    Constant used for the name of the XPaths association.

    XPaths: The list of XPath objects that define the path of the column in the XML source.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_ANALYTICCOLUMNS_NAME

    static final String ASSOCIATION_ANALYTICCOLUMNS_NAME
    Constant used for the name of the AnalyticColumns association.

    AnalyticColumns: The analytic column attributes associated with this column.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_DISPLAYFORKEYS_NAME

    static final String ASSOCIATION_DISPLAYFORKEYS_NAME
    Constant used for the name of the DisplayForKeys association.

    DisplayForKeys: The key that uses this column for display purposes.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_FOREIGNKEYASSOCIATIONS_NAME

    static final String ASSOCIATION_FOREIGNKEYASSOCIATIONS_NAME
    Constant used for the name of the ForeignKeyAssociations association.

    ForeignKeyAssociations: The list of KeyAssociation objects that link this column, which is part of a foreign key, with the columns that comprise the unique key.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_INDEXES_NAME

    static final String ASSOCIATION_INDEXES_NAME
    Constant used for the name of the Indexes association.

    Indexes: The list of indexes for this column.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_QUERYCLAUSES_NAME

    static final String ASSOCIATION_QUERYCLAUSES_NAME
    Constant used for the name of the QueryClauses association.

    QueryClauses: *Unknown*

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_TABLE_NAME

    static final String ASSOCIATION_TABLE_NAME
    Constant used for the name of the Table association.

    Table: The table that contains these columns.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_UNIQUEKEYASSOCIATIONS_NAME

    static final String ASSOCIATION_UNIQUEKEYASSOCIATIONS_NAME
    Constant used for the name of the UniqueKeyAssociations association.

    UniqueKeyAssociations: The list of KeyAssociation objects that associate a column in this key to a column in a foreign key.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    `Table`
    Specified by:
      `initializeRequiredObjects` in interface `Feature`
    Specified by:
      `initializeRequiredObjects` in interface `LogicalColumn`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `Keys`
    `XPaths`
    Specified by:
      `initializePredObjects` in interface `Feature`
    Specified by:
      `initializePredObjects` in interface `LogicalColumn`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSortOrder

    String getSortOrder() throws RemoteException
    Gets the `String` value of `SortOrder`
    Returns:
      The `SortOrder`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSortOrderState

    int getSortOrderState() throws RemoteException
    Gets the Metadata State of `SortOrder`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSortOrderMaxLength

    int getSortOrderMaxLength() throws RemoteException
    Gets the maximum length of `SortOrder`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsNullable

    int getIsNullable() throws RemoteException
    Gets the `int` value of `IsNullable`
    Returns:
      The `IsNullable`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsNullableState

    int getIsNullableState() throws RemoteException
    Gets the Metadata State of `IsNullable`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsDiscrete

    int getIsDiscrete() throws RemoteException
    Gets the `int` value of `IsDiscrete`
    Returns:
      The `IsDiscrete`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsDiscreteState

    int getIsDiscreteState() throws RemoteException
    Gets the Metadata State of `IsDiscrete`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASColumnLength

    int getSASColumnLength() throws RemoteException
    Gets the `int` value of `SASColumnLength`
    Returns:
      The `SASColumnLength`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASColumnLengthState

    int getSASColumnLengthState() throws RemoteException
    Gets the Metadata State of `SASColumnLength`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSummaryRole

    String getSummaryRole() throws RemoteException
    Gets the `String` value of `SummaryRole`
    Returns:
      The `SummaryRole`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSummaryRoleState

    int getSummaryRoleState() throws RemoteException
    Gets the Metadata State of `SummaryRole`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSummaryRoleMaxLength

    int getSummaryRoleMaxLength() throws RemoteException
    Gets the maximum length of `SummaryRole`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASColumnType

    String getSASColumnType() throws RemoteException
    Gets the `String` value of `SASColumnType`
    Returns:
      The `SASColumnType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASColumnTypeState

    int getSASColumnTypeState() throws RemoteException
    Gets the Metadata State of `SASColumnType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASColumnTypeMaxLength

    int getSASColumnTypeMaxLength() throws RemoteException
    Gets the maximum length of `SASColumnType`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASColumnName

    String getSASColumnName() throws RemoteException
    Gets the `String` value of `SASColumnName`
    Returns:
      The `SASColumnName`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASColumnNameState

    int getSASColumnNameState() throws RemoteException
    Gets the Metadata State of `SASColumnName`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASColumnNameMaxLength

    int getSASColumnNameMaxLength() throws RemoteException
    Gets the maximum length of `SASColumnName`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASExtendedColumnType

    String getSASExtendedColumnType() throws RemoteException
    Gets the `String` value of `SASExtendedColumnType`
    Returns:
      The `SASExtendedColumnType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASExtendedColumnTypeState

    int getSASExtendedColumnTypeState() throws RemoteException
    Gets the Metadata State of `SASExtendedColumnType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASExtendedColumnTypeMaxLength

    int getSASExtendedColumnTypeMaxLength() throws RemoteException
    Gets the maximum length of `SASExtendedColumnType`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASAttribute

    String getSASAttribute() throws RemoteException
    Gets the `String` value of `SASAttribute`
    Returns:
      The `SASAttribute`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASAttributeState

    int getSASAttributeState() throws RemoteException
    Gets the Metadata State of `SASAttribute`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASAttributeMaxLength

    int getSASAttributeMaxLength() throws RemoteException
    Gets the maximum length of `SASAttribute`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASPrecision

    double getSASPrecision() throws RemoteException
    Gets the `double` value of `SASPrecision`
    Returns:
      The `SASPrecision`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASPrecisionState

    int getSASPrecisionState() throws RemoteException
    Gets the Metadata State of `SASPrecision`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASScale

    double getSASScale() throws RemoteException
    Gets the `double` value of `SASScale`
    Returns:
      The `SASScale`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASScaleState

    int getSASScaleState() throws RemoteException
    Gets the Metadata State of `SASScale`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASExtendedLength

    double getSASExtendedLength() throws RemoteException
    Gets the `double` value of `SASExtendedLength`
    Returns:
      The `SASExtendedLength`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getSASExtendedLengthState

    int getSASExtendedLengthState() throws RemoteException
    Gets the Metadata State of `SASExtendedLength`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getBeginPosition

    int getBeginPosition() throws RemoteException
    Gets the `int` value of `BeginPosition`
    Returns:
      The `BeginPosition`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getBeginPositionState

    int getBeginPositionState() throws RemoteException
    Gets the Metadata State of `BeginPosition`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getEndPosition

    int getEndPosition() throws RemoteException
    Gets the `int` value of `EndPosition`
    Returns:
      The `EndPosition`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getEndPositionState

    int getEndPositionState() throws RemoteException
    Gets the Metadata State of `EndPosition`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getKeys

    AssociationList getKeys() throws RemoteException, MdException
    Gets the AssociationList of `Keys`
    Returns:
      Returns the AssociationList of `Keys` which can be of type:
      Key
      UniqueKey
      ForeignKey
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getXPaths

    AssociationList getXPaths() throws RemoteException, MdException
    Gets the AssociationList of `XPaths`
    Returns:
      Returns the AssociationList of `XPaths` which can be of type:
      XPath
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAnalyticColumns

    AssociationList getAnalyticColumns() throws RemoteException, MdException
    Gets the Association list of `AnalyticColumns`
    Returns:
      The AssociationList of `AnalyticColumns` which can be of type:
      AnalyticColumn
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getDisplayForKeys

    AssociationList getDisplayForKeys() throws RemoteException, MdException
    Gets the Association list of `DisplayForKeys`
    Returns:
      The AssociationList of `DisplayForKeys` which can be of type:
      Key
      UniqueKey
      ForeignKey
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getForeignKeyAssociations

    AssociationList getForeignKeyAssociations() throws RemoteException, MdException
    Gets the Association list of `ForeignKeyAssociations`
    Returns:
      The AssociationList of `ForeignKeyAssociations` which can be of type:
      KeyAssociation
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getIndexes

    AssociationList getIndexes() throws RemoteException, MdException
    Gets the Association list of `Indexes`
    Returns:
      The AssociationList of `Indexes` which can be of type:
      Index
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getQueryClauses

    AssociationList getQueryClauses() throws RemoteException, MdException
    Gets the Association list of `QueryClauses`
    Returns:
      The AssociationList of `QueryClauses` which can be of type:
      QueryClause
      WhereClause
      RowSelector
      GroupByClause
      HavingClause
      OrderByClause
      OnClause
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTables

    AssociationList getTables() throws RemoteException, MdException
    Gets the Association list of `Tables`
    Returns:
      The AssociationList of `Tables` which can be of type:
      DataTable
      ExternalTable
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
      TableCollection
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTable

    DataTable getTable() throws RemoteException, MdException
    Gets the `DataTable` for `Table`
    Returns:
      The `DataTable` ( `null` if not set ) of `Table` which can be of type:
      DataTable
      ExternalTable
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
      TableCollection
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getUniqueKeyAssociations

    AssociationList getUniqueKeyAssociations() throws RemoteException, MdException
    Gets the Association list of `UniqueKeyAssociations`
    Returns:
      The AssociationList of `UniqueKeyAssociations` which can be of type:
      KeyAssociation
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getKeys

    AssociationList getKeys(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Keys`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `Keys` which can be of type:
      Key
      UniqueKey
      ForeignKey
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getXPaths

    AssociationList getXPaths(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `XPaths`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `XPaths` which can be of type:
      XPath
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getAnalyticColumns

    AssociationList getAnalyticColumns(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `AnalyticColumns`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `AnalyticColumns` which can be of type:
      AnalyticColumn
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getDisplayForKeys

    AssociationList getDisplayForKeys(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `DisplayForKeys`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `DisplayForKeys` which can be of type:
      Key
      UniqueKey
      ForeignKey
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getForeignKeyAssociations

    AssociationList getForeignKeyAssociations(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `ForeignKeyAssociations`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `ForeignKeyAssociations` which can be of type:
      KeyAssociation
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getIndexes

    AssociationList getIndexes(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Indexes`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `Indexes` which can be of type:
      Index
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getQueryClauses

    AssociationList getQueryClauses(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `QueryClauses`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `QueryClauses` which can be of type:
      QueryClause
      WhereClause
      RowSelector
      GroupByClause
      HavingClause
      OrderByClause
      OnClause
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getTables

    AssociationList getTables(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Tables`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `Tables` which can be of type:
      DataTable
      ExternalTable
      RelationalTable
      PhysicalTable
      WorkTable
      SecuredTable
      QueryTable
      JoinTable
      TableCollection
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getUniqueKeyAssociations

    AssociationList getUniqueKeyAssociations(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `UniqueKeyAssociations`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `UniqueKeyAssociations` which can be of type:
      KeyAssociation
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setSortOrder

    void setSortOrder(String inSortOrder) throws RemoteException
    Sets the `SortOrder` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSortOrder` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSortOrder

    void setSortOrder(String inSortOrder, int state) throws RemoteException
    Sets the `SortOrder` Metadata State.
    Parameters:
      `inSortOrder` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSortOrderState

    void setSortOrderState(int state) throws RemoteException
    Sets the Metadata State of `SortOrder`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsNullable

    void setIsNullable(int inIsNullable) throws RemoteException
    Sets the `IsNullable` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsNullable` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsNullable

    void setIsNullable(int inIsNullable, int state) throws RemoteException
    Sets the `IsNullable` Metadata State.
    Parameters:
      `inIsNullable` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsNullable

    void setIsNullable(String inIsNullable) throws RemoteException
    Sets the `IsNullable` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsNullable` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsNullable

    void setIsNullable(String inIsNullable, int state) throws RemoteException
    Sets the `IsNullable` value and Metadata State.
    Parameters:
      `inIsNullable` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsNullableState

    void setIsNullableState(int state) throws RemoteException
    Sets the Metadata State of `IsNullable`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsDiscrete

    void setIsDiscrete(int inIsDiscrete) throws RemoteException
    Sets the `IsDiscrete` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsDiscrete` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsDiscrete

    void setIsDiscrete(int inIsDiscrete, int state) throws RemoteException
    Sets the `IsDiscrete` Metadata State.
    Parameters:
      `inIsDiscrete` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsDiscrete

    void setIsDiscrete(String inIsDiscrete) throws RemoteException
    Sets the `IsDiscrete` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsDiscrete` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsDiscrete

    void setIsDiscrete(String inIsDiscrete, int state) throws RemoteException
    Sets the `IsDiscrete` value and Metadata State.
    Parameters:
      `inIsDiscrete` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsDiscreteState

    void setIsDiscreteState(int state) throws RemoteException
    Sets the Metadata State of `IsDiscrete`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnLength

    void setSASColumnLength(int inSASColumnLength) throws RemoteException
    Sets the `SASColumnLength` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASColumnLength` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnLength

    void setSASColumnLength(int inSASColumnLength, int state) throws RemoteException
    Sets the `SASColumnLength` Metadata State.
    Parameters:
      `inSASColumnLength` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnLength

    void setSASColumnLength(String inSASColumnLength) throws RemoteException
    Sets the `SASColumnLength` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASColumnLength` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnLength

    void setSASColumnLength(String inSASColumnLength, int state) throws RemoteException
    Sets the `SASColumnLength` value and Metadata State.
    Parameters:
      `inSASColumnLength` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnLengthState

    void setSASColumnLengthState(int state) throws RemoteException
    Sets the Metadata State of `SASColumnLength`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSummaryRole

    void setSummaryRole(String inSummaryRole) throws RemoteException
    Sets the `SummaryRole` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSummaryRole` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSummaryRole

    void setSummaryRole(String inSummaryRole, int state) throws RemoteException
    Sets the `SummaryRole` Metadata State.
    Parameters:
      `inSummaryRole` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSummaryRoleState

    void setSummaryRoleState(int state) throws RemoteException
    Sets the Metadata State of `SummaryRole`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnType

    void setSASColumnType(String inSASColumnType) throws RemoteException
    Sets the `SASColumnType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASColumnType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnType

    void setSASColumnType(String inSASColumnType, int state) throws RemoteException
    Sets the `SASColumnType` Metadata State.
    Parameters:
      `inSASColumnType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnTypeState

    void setSASColumnTypeState(int state) throws RemoteException
    Sets the Metadata State of `SASColumnType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnName

    void setSASColumnName(String inSASColumnName) throws RemoteException
    Sets the `SASColumnName` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASColumnName` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnName

    void setSASColumnName(String inSASColumnName, int state) throws RemoteException
    Sets the `SASColumnName` Metadata State.
    Parameters:
      `inSASColumnName` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASColumnNameState

    void setSASColumnNameState(int state) throws RemoteException
    Sets the Metadata State of `SASColumnName`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASExtendedColumnType

    void setSASExtendedColumnType(String inSASExtendedColumnType) throws RemoteException
    Sets the `SASExtendedColumnType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASExtendedColumnType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASExtendedColumnType

    void setSASExtendedColumnType(String inSASExtendedColumnType, int state) throws RemoteException
    Sets the `SASExtendedColumnType` Metadata State.
    Parameters:
      `inSASExtendedColumnType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASExtendedColumnTypeState

    void setSASExtendedColumnTypeState(int state) throws RemoteException
    Sets the Metadata State of `SASExtendedColumnType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASAttribute

    void setSASAttribute(String inSASAttribute) throws RemoteException
    Sets the `SASAttribute` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASAttribute` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASAttribute

    void setSASAttribute(String inSASAttribute, int state) throws RemoteException
    Sets the `SASAttribute` Metadata State.
    Parameters:
      `inSASAttribute` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASAttributeState

    void setSASAttributeState(int state) throws RemoteException
    Sets the Metadata State of `SASAttribute`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASPrecision

    void setSASPrecision(double inSASPrecision) throws RemoteException
    Sets the `SASPrecision` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASPrecision` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASPrecision

    void setSASPrecision(double inSASPrecision, int state) throws RemoteException
    Sets the `SASPrecision` Metadata State.
    Parameters:
      `inSASPrecision` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASPrecision

    void setSASPrecision(String inSASPrecision) throws RemoteException
    Sets the `SASPrecision` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inSASPrecision` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASPrecision

    void setSASPrecision(String inSASPrecision, int state) throws RemoteException
    Sets the `SASPrecision` value and Metadata State.
    Parameters:
      `inSASPrecision` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASPrecisionState

    void setSASPrecisionState(int state) throws RemoteException
    Sets the Metadata State of `SASPrecision`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASScale

    void setSASScale(double inSASScale) throws RemoteException
    Sets the `SASScale` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASScale` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASScale

    void setSASScale(double inSASScale, int state) throws RemoteException
    Sets the `SASScale` Metadata State.
    Parameters:
      `inSASScale` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASScale

    void setSASScale(String inSASScale) throws RemoteException
    Sets the `SASScale` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inSASScale` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASScale

    void setSASScale(String inSASScale, int state) throws RemoteException
    Sets the `SASScale` value and Metadata State.
    Parameters:
      `inSASScale` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASScaleState

    void setSASScaleState(int state) throws RemoteException
    Sets the Metadata State of `SASScale`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASExtendedLength

    void setSASExtendedLength(double inSASExtendedLength) throws RemoteException
    Sets the `SASExtendedLength` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inSASExtendedLength` - double
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASExtendedLength

    void setSASExtendedLength(double inSASExtendedLength, int state) throws RemoteException
    Sets the `SASExtendedLength` Metadata State.
    Parameters:
      `inSASExtendedLength` - double
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASExtendedLength

    void setSASExtendedLength(String inSASExtendedLength) throws RemoteException
    Sets the `SASExtendedLength` value and sets the state to MetadataState.LOCAL
    Parameters:
      `inSASExtendedLength` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASExtendedLength

    void setSASExtendedLength(String inSASExtendedLength, int state) throws RemoteException
    Sets the `SASExtendedLength` value and Metadata State.
    Parameters:
      `inSASExtendedLength` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setSASExtendedLengthState

    void setSASExtendedLengthState(int state) throws RemoteException
    Sets the Metadata State of `SASExtendedLength`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBeginPosition

    void setBeginPosition(int inBeginPosition) throws RemoteException
    Sets the `BeginPosition` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inBeginPosition` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBeginPosition

    void setBeginPosition(int inBeginPosition, int state) throws RemoteException
    Sets the `BeginPosition` Metadata State.
    Parameters:
      `inBeginPosition` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBeginPosition

    void setBeginPosition(String inBeginPosition) throws RemoteException
    Sets the `BeginPosition` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inBeginPosition` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBeginPosition

    void setBeginPosition(String inBeginPosition, int state) throws RemoteException
    Sets the `BeginPosition` value and Metadata State.
    Parameters:
      `inBeginPosition` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setBeginPositionState

    void setBeginPositionState(int state) throws RemoteException
    Sets the Metadata State of `BeginPosition`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setEndPosition

    void setEndPosition(int inEndPosition) throws RemoteException
    Sets the `EndPosition` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inEndPosition` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setEndPosition

    void setEndPosition(int inEndPosition, int state) throws RemoteException
    Sets the `EndPosition` Metadata State.
    Parameters:
      `inEndPosition` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setEndPosition

    void setEndPosition(String inEndPosition) throws RemoteException
    Sets the `EndPosition` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inEndPosition` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setEndPosition

    void setEndPosition(String inEndPosition, int state) throws RemoteException
    Sets the `EndPosition` value and Metadata State.
    Parameters:
      `inEndPosition` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setEndPositionState

    void setEndPositionState(int state) throws RemoteException
    Sets the Metadata State of `EndPosition`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setKeys

    void setKeys(AssociationList list) throws RemoteException
    Sets the `Keys` list to be `list`. Objects of which can be of type:
    Key
    UniqueKey
    ForeignKey
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setKeys

    void setKeys(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setXPaths

    void setXPaths(AssociationList list) throws RemoteException
    Sets the `XPaths` list to be `list`. Objects of which can be of type:
    XPath
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setXPaths

    void setXPaths(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticColumns

    void setAnalyticColumns(AssociationList list) throws RemoteException
    Sets the `AnalyticColumns` list to be `list`. Objects of which can be of type:
    AnalyticColumn
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAnalyticColumns

    void setAnalyticColumns(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AnalyticColumns list to match the passed in AssociationList, sets the state of the AnalyticColumns
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDisplayForKeys

    void setDisplayForKeys(AssociationList list) throws RemoteException
    Sets the `DisplayForKeys` list to be `list`. Objects of which can be of type:
    Key
    UniqueKey
    ForeignKey
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setDisplayForKeys

    void setDisplayForKeys(AssociationList inObjects, int state) throws RemoteException
    Sets the entire DisplayForKeys list to match the passed in AssociationList, sets the state of the DisplayForKeys
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setForeignKeyAssociations

    void setForeignKeyAssociations(AssociationList list) throws RemoteException
    Sets the `ForeignKeyAssociations` list to be `list`. Objects of which can be of type:
    KeyAssociation
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setForeignKeyAssociations

    void setForeignKeyAssociations(AssociationList inObjects, int state) throws RemoteException
    Sets the entire ForeignKeyAssociations list to match the passed in AssociationList, sets the state of the ForeignKeyAssociations
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIndexes

    void setIndexes(AssociationList list) throws RemoteException
    Sets the `Indexes` list to be `list`. Objects of which can be of type:
    Index
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIndexes

    void setIndexes(AssociationList inObjects, int state) throws RemoteException
    Sets the entire Indexes list to match the passed in AssociationList, sets the state of the Indexes
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setQueryClauses

    void setQueryClauses(AssociationList list) throws RemoteException
    Sets the `QueryClauses` list to be `list`. Objects of which can be of type:
    QueryClause
    WhereClause
    RowSelector
    GroupByClause
    HavingClause
    OrderByClause
    OnClause
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setQueryClauses

    void setQueryClauses(AssociationList inObjects, int state) throws RemoteException
    Sets the entire QueryClauses list to match the passed in AssociationList, sets the state of the QueryClauses
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTables

    void setTables(AssociationList list) throws RemoteException
    Sets the `Tables` list to be `list`. Objects of which can be of type:
    DataTable
    ExternalTable
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    TableCollection
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTables

    void setTables(AssociationList list, int state) throws RemoteException
    Sets the `Tables` list to be `list`. Objects of which can be of type:
    DataTable
    ExternalTable
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    TableCollection
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setTable

    void setTable(DataTable inObject) throws RemoteException
    Sets the `Tables` list 0th element to be `inObject`.
    Parameters:
      `inObject` - DataTable
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUniqueKeyAssociations

    void setUniqueKeyAssociations(AssociationList list) throws RemoteException
    Sets the `UniqueKeyAssociations` list to be `list`. Objects of which can be of type:
    KeyAssociation
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setUniqueKeyAssociations

    void setUniqueKeyAssociations(AssociationList inObjects, int state) throws RemoteException
    Sets the entire UniqueKeyAssociations list to match the passed in AssociationList, sets the state of the UniqueKeyAssociations
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.